JUCE: NetworkServiceDiscovery::Advertiser Struct Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
NetworkServiceDiscovery::Advertiser Struct Reference
juce_events » interprocess

An object which runs a thread to repeatedly broadcast the existence of a discoverable service. More...

`#include <juce_NetworkServiceDiscovery.h>`

Inheritance diagram for NetworkServiceDiscovery::Advertiser:

## Public Member Functions
| Advertiser (const String &serviceTypeUID, const String &serviceDescription, int broadcastPort, int connectionPort, RelativeTime minTimeBetweenBroadcasts=RelativeTime::seconds(1.5))
| Creates and starts an Advertiser thread, broadcasting with the given properties.
| ~Advertiser () override
| Destructor.

## Detailed Description

An object which runs a thread to repeatedly broadcast the existence of a discoverable service.

To use, simply create an instance of an Advertiser and it'll broadcast until you delete it.

## Constructor & Destructor Documentation

## ◆ Advertiser()

NetworkServiceDiscovery::Advertiser::Advertiser | ( | const String & | serviceTypeUID,
|  | const String & | serviceDescription,
|  | int | broadcastPort,
|  | int | connectionPort,
|  | RelativeTime | minTimeBetweenBroadcasts = RelativeTime::seconds(1.5) )

Creates and starts an Advertiser thread, broadcasting with the given properties.

Parameters

  serviceTypeUID | A user-supplied string to define the type of service this represents
  serviceDescription | A description string that will appear in the Service::description field for clients
  broadcastPort | The port number on which to broadcast the service discovery packets
  connectionPort | The port number that will be sent to appear in the Service::port field
  minTimeBetweenBroadcasts | The interval to wait between sending broadcast messages

## ◆ ~Advertiser()

NetworkServiceDiscovery::Advertiser::~Advertiser | ( |  | ) |
| override

Destructor.

The documentation for this struct was generated from the following file:

- juce_NetworkServiceDiscovery.h